package de.hsel.itech.db.pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NonNull;

/**
 * POJO for Invoice Payment.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 **/

@Data
@EqualsAndHashCode(callSuper = true)
public class InvoicePayment extends Payment{

    @NonNull private User user;

    public InvoicePayment(long id, User user) {
        super(id, new PaymentType("Invoice"));
        this.user = user;
    }
}